ASMSA

مكتبة الرسوم والتحكم بالصور بروبي (بماذا تنصحون؟)

5 ردود في هذا الموضوع

كلنا نعلم جمال هذه اللغة وقوتها لكن اعتقد هناك صعوبة في دعمها للرسوم كونها جديدة ولا توجد مكتبات كافية للرسوم فيها،، وكنت عند اضافتي قبل عدة ايام لآخر اصدار لهذه اللغة وجدت انه لا يدعم مكتبة imagemagick المدعومة بالإصدارات السابقة حيث ان هذه المكتبة مختصة بالرسوم ،

لكني بذهني تسأل هل يمكن اضافة مكتبات بلغة السي او السي ++ وهل تعمل بروبي لم اجرب ولكن اطرح الموضوع هنا للنقاش في حال كان احد المهتمين بهذه اللغة سبق له ذلك،

وعلى اي حال اعتقد انه لن تطول الفترة حتى تظهر مكتبة جديدة مكتوبة لدعم الرسوم بهذه اللغة الرائعة،

وللمعلومة انا استخدم حاليا مكتبة tk كـ GUI ولإجراء بعض عمليات الرسم بروبي لكن اجد هذه المكتبة من وجهة نظري عاجزة عن التعرف على نقاط البكسل الموجودة بنوافذ او مساحات الرسم أو الموجودة بالصور، ولا يوجد اجراء لهذا الغرض يمكنه تحديد الوان البكسل مثلا في برامج التقاط اللون من الرسم.

فما هي اقتراحاتكم لحل الاشكال ،، ولكم تحياتي

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

فى binding ل imagemagick مع روبي http://rmagick.rubyforge.org/

لكني بذهني تسأل هل يمكن اضافة مكتبات بلغة السي او السي ++ وهل تعمل بروبي لم اجرب ولكن اطرح الموضوع هنا للنقاش في حال كان احد المهتمين بهذه اللغة سبق له ذلك،

نعم :wink:

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

فى binding ل imagemagick مع روبي http://rmagick.rubyforge.org/

نعم :wink:

اخ احمد لاحظ انا تعبت مع imagemagick كما ذكرت انا بعاليه، وطبعا استخدمت هذه المكتبة عن طريق ملحقها للغة روبي rmagick ،، فكان يعمل مع الاصدار القديم ،، لكن الأصدار الذي استخدمه وهو الآخير 1.9.2 لم يعد يدعم rmagick ،،

وبخصوص امكانية كتابة مكتبات بلغة سي او سي ++ فهل تعتقد انه يمكن استخدامها مباشرة عن طريق include or require ام ان هناك مفسرات واكواد وسيطة؟

وشكرا لك على اهتمامك

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

متحير انا فى رقم الإصدار 1.9.2

RMagick اخر حاجة ليها RMagick 2.13.1

و ImageMagick اخر حاجة ليها 6.6.5

وبخصوص امكانية كتابة مكتبات بلغة سي او سي ++ فهل تعتقد انه يمكن استخدامها مباشرة عن طريق include or require ام ان هناك مفسرات واكواد وسيطة؟

نعم هناك ال FFI بتسمحلك بتحميل المكتبات الديناميكية واستخدام مكوناتها مباشرة

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

متحير انا فى رقم الإصدار 1.9.2

RMagick اخر حاجة ليها RMagick 2.13.1

و ImageMagick اخر حاجة ليها 6.6.5

نعم هناك ال FFI بتسمحلك بتحميل المكتبات الديناميكية واستخدام مكوناتها مباشرة

بخصوص رقم الاصدار فانا اقصد اصدارة اللغة (روبي) باستخدام الأمر Ruby -v من محث الأوامر،، واشكرك على تفاعلك مع الموضوع اما انا فابتعدت لناحية أخرى من تطبيقات هذه اللغة لذلك لم ألاحظ الردود هنا،،

وعموما انا لم اصل لمرحلة استخدام المكتبات غير الجاهزة او المعدة سابقا لهذه اللغة حتى لا ادخل بتعقيدات اضافية لذلك جربت (كايرو أو القاهرة الشهيرة عالميا بهذا المجال) و بعض المكتبات المخصصة للصور لكني لم اتابع الموضوع ،،

واجد على اي حال فكرة اضافة مكتبات أخرى خاصة بلغات آخرى مشهورة وقوية جذابة جدا،، لذلك اتمنى منك لإثراء الموضوع اكثر كتابة تفاصيل اضافية عن كيفية اضافة مكتبات السي والسي بلس بلس تحديدا للغة روبي،، والمكتبات الوسيطة،، والية ادارجها والتعامل معها بالإضافة للملقمات او الماكروز PlugIns كذلك إن امكن لإني اعرف ان هذه الإخيرة أيضا كثيرة وبعدة مجالات برمجية مما يجعل لغة روبي لغة لها قابيلة تمدد وتفاعل مع غيرها كبيرة جدا

0

شارك هذا الرد


رابط المشاركة
شارك الرد من خلال المواقع ادناه

من فضلك سجل دخول لتتمكن من التعليق

ستتمكن من اضافه تعليقات بعد التسجيل



سجل دخولك الان

  • يستعرض القسم حالياً   0 members

    لا يوجد أعضاء مسجلين يشاهدون هذه الصفحة .